#include <SFML/Graphics.hpp>
class MapElement
{
public:
	MapElement();
	bool isSolid;
	int index;
	sf::Sprite spr;
	void SetGraphics(sf::Image& img);
	void Render(sf::RenderWindow& win);
};

MapElement::MapElement()
{
	index=0;
	spr.SetColor(sf::Color::White);
	isSolid=false;
}

void MapElement::SetGraphics(sf::Image& img)
{
	img.SetSmooth(false);
	spr.SetImage(img);
}

void MapElement::Render(sf::RenderWindow& win)
{
	win.Draw(spr);
}